# Zenfirewall Apache 2.4+ Blocklist
# Generated: 2026-01-15 03:00:02
# IPs reported in last 24 hours (XMLRPC attacks)
# Total IPs: 412
# Usage: Include this file in your Apache configuration (Apache 2.4+)
#
# Example Apache configuration:
#   <Directory /var/www/html>
#       Include /path/to/zenblock-xmlrpc-apache-24h.conf
#   </Directory>

<RequireAll>
    Require all granted
    Require not ip 1.146.78.72
    Require not ip 102.66.125.225
    Require not ip 103.109.218.255
    Require not ip 103.118.17.14
    Require not ip 103.129.125.97
    Require not ip 103.130.212.57
    Require not ip 103.131.251.15
    Require not ip 103.133.215.169
    Require not ip 103.138.88.20
    Require not ip 103.154.176.251
    Require not ip 103.166.244.223
    Require not ip 103.169.161.70
    Require not ip 103.174.152.62
    Require not ip 103.174.153.116
    Require not ip 103.182.68.138
    Require not ip 103.198.97.108
    Require not ip 103.20.212.129
    Require not ip 103.20.97.55
    Require not ip 103.205.208.252
    Require not ip 103.211.178.62
    Require not ip 103.231.202.90
    Require not ip 103.26.10.123
    Require not ip 103.26.10.81
    Require not ip 103.28.36.122
    Require not ip 103.28.36.224
    Require not ip 103.56.161.142
    Require not ip 103.56.40.133
    Require not ip 103.8.127.155
    Require not ip 103.81.93.88
    Require not ip 103.82.22.235
    Require not ip 105.154.246.46
    Require not ip 105.69.69.114
    Require not ip 106.213.84.6
    Require not ip 106.216.250.44
    Require not ip 106.219.84.42
    Require not ip 106.222.226.79
    Require not ip 107.11.4.35
    Require not ip 107.180.112.235
    Require not ip 107.180.114.165
    Require not ip 107.180.118.38
    Require not ip 107.180.118.70
    Require not ip 108.144.12.16
    Require not ip 109.110.188.195
    Require not ip 109.234.162.86
    Require not ip 111.94.77.3
    Require not ip 112.135.210.96
    Require not ip 112.200.201.21
    Require not ip 112.201.133.250
    Require not ip 114.122.240.94
    Require not ip 114.35.71.166
    Require not ip 115.186.189.49
    Require not ip 117.99.249.130
    Require not ip 118.139.161.225
    Require not ip 122.162.145.67
    Require not ip 122.162.146.59
    Require not ip 122.171.200.157
    Require not ip 122.171.243.16
    Require not ip 122.172.83.228
    Require not ip 122.179.17.156
    Require not ip 122.2.110.236
    Require not ip 125.99.240.61
    Require not ip 129.150.46.7
    Require not ip 130.49.113.73
    Require not ip 130.94.40.160
    Require not ip 131.161.66.162
    Require not ip 132.148.103.60
    Require not ip 132.148.176.115
    Require not ip 132.148.177.159
    Require not ip 132.148.178.74
    Require not ip 132.148.179.15
    Require not ip 132.148.179.46
    Require not ip 132.148.180.149
    Require not ip 132.148.182.116
    Require not ip 132.148.182.205
    Require not ip 132.255.157.19
    Require not ip 134.209.153.31
    Require not ip 135.148.104.49
    Require not ip 135.181.239.225
    Require not ip 135.236.141.99
    Require not ip 136.158.118.22
    Require not ip 136.158.31.173
    Require not ip 138.117.150.4
    Require not ip 138.128.140.72
    Require not ip 138.204.79.225
    Require not ip 138.68.183.21
    Require not ip 139.135.192.107
    Require not ip 14.225.210.33
    Require not ip 14.225.210.97
    Require not ip 140.174.184.53
    Require not ip 141.95.86.242
    Require not ip 142.112.61.80
    Require not ip 142.252.84.234
    Require not ip 143.44.184.228
    Require not ip 146.190.81.111
    Require not ip 146.241.94.65
    Require not ip 148.113.8.120
    Require not ip 148.66.155.82
    Require not ip 148.72.0.63
    Require not ip 148.72.1.196
    Require not ip 148.72.18.31
    Require not ip 148.72.2.141
    Require not ip 148.72.211.168
    Require not ip 148.72.59.107
    Require not ip 148.72.60.82
    Require not ip 148.72.63.111
    Require not ip 148.72.63.16
    Require not ip 149.255.58.145
    Require not ip 149.255.62.151
    Require not ip 149.5.247.3
    Require not ip 15.235.218.124
    Require not ip 151.18.50.154
    Require not ip 151.237.138.124
    Require not ip 152.57.88.16
    Require not ip 152.58.97.106
    Require not ip 152.59.87.32
    Require not ip 154.12.118.230
    Require not ip 154.161.46.250
    Require not ip 154.192.209.72
    Require not ip 154.192.48.28
    Require not ip 154.47.20.210
    Require not ip 154.57.195.137
    Require not ip 154.90.48.62
    Require not ip 155.212.39.67
    Require not ip 156.193.198.190
    Require not ip 157.173.121.166
    Require not ip 159.100.30.33
    Require not ip 159.65.87.245
    Require not ip 159.89.175.190
    Require not ip 162.0.216.102
    Require not ip 162.19.58.173
    Require not ip 162.241.216.134
    Require not ip 162.241.217.12
    Require not ip 162.241.218.97
    Require not ip 162.241.224.104
    Require not ip 162.241.224.209
    Require not ip 162.241.225.12
    Require not ip 162.241.225.213
    Require not ip 162.241.244.91
    Require not ip 162.241.252.224
    Require not ip 162.241.252.50
    Require not ip 162.241.253.15
    Require not ip 162.241.253.162
    Require not ip 162.241.253.213
    Require not ip 162.243.46.26
    Require not ip 163.5.108.233
    Require not ip 166.62.85.160
    Require not ip 167.172.219.235
    Require not ip 167.71.193.139
    Require not ip 168.119.138.253
    Require not ip 170.168.99.89
    Require not ip 170.231.250.102
    Require not ip 171.244.206.65
    Require not ip 172.98.33.109
    Require not ip 172.98.33.110
    Require not ip 172.98.33.111
    Require not ip 172.98.33.112
    Require not ip 172.98.33.113
    Require not ip 172.98.33.114
    Require not ip 172.98.33.115
    Require not ip 172.98.33.116
    Require not ip 172.98.33.125
    Require not ip 172.98.33.126
    Require not ip 172.98.33.127
    Require not ip 172.98.33.128
    Require not ip 172.98.33.129
    Require not ip 172.98.33.130
    Require not ip 172.98.33.131
    Require not ip 172.98.33.132
    Require not ip 172.98.33.69
    Require not ip 172.98.33.70
    Require not ip 172.98.33.71
    Require not ip 172.98.33.72
    Require not ip 172.98.33.73
    Require not ip 172.98.33.74
    Require not ip 172.98.33.75
    Require not ip 172.98.33.76
    Require not ip 173.201.177.53
    Require not ip 173.201.179.213
    Require not ip 173.201.191.1
    Require not ip 173.212.196.41
    Require not ip 173.236.193.225
    Require not ip 173.236.241.59
    Require not ip 173.236.247.87
    Require not ip 173.236.255.37
    Require not ip 173.244.42.148
    Require not ip 173.252.167.60
    Require not ip 176.1.172.221
    Require not ip 176.207.186.163
    Require not ip 176.31.110.126
    Require not ip 177.72.158.104
    Require not ip 178.23.187.14
    Require not ip 180.149.197.136
    Require not ip 180.190.6.75
    Require not ip 180.191.171.105
    Require not ip 181.191.85.222
    Require not ip 181.41.207.224
    Require not ip 182.48.214.169
    Require not ip 185.101.21.17
    Require not ip 185.101.21.191
    Require not ip 185.101.21.211
    Require not ip 185.101.21.246
    Require not ip 185.101.21.26
    Require not ip 185.105.233.113
    Require not ip 185.114.234.103
    Require not ip 185.136.148.61
    Require not ip 185.147.212.85
    Require not ip 185.187.168.43
    Require not ip 185.216.143.121
    Require not ip 185.220.101.37
    Require not ip 185.241.206.60
    Require not ip 185.249.40.156
    Require not ip 185.65.247.253
    Require not ip 186.227.64.58
    Require not ip 187.115.88.131
    Require not ip 187.57.5.173
    Require not ip 189.130.112.139
    Require not ip 189.92.13.25
    Require not ip 190.107.177.34
    Require not ip 190.107.177.36
    Require not ip 190.92.174.126
    Require not ip 190.92.174.183
    Require not ip 190.92.174.22
    Require not ip 190.92.174.33
    Require not ip 191.6.255.74
    Require not ip 192.0.85.129
    Require not ip 192.169.144.1
    Require not ip 192.169.171.147
    Require not ip 192.185.81.139
    Require not ip 192.185.81.146
    Require not ip 192.185.81.85
    Require not ip 192.250.229.42
    Require not ip 192.250.235.172
    Require not ip 192.250.235.90
    Require not ip 192.250.239.84
    Require not ip 192.99.147.218
    Require not ip 193.151.189.17
    Require not ip 193.233.89.45
    Require not ip 195.201.164.20
    Require not ip 195.250.26.78
    Require not ip 197.193.7.93
    Require not ip 197.250.34.36
    Require not ip 198.12.241.219
    Require not ip 198.12.243.225
    Require not ip 198.38.90.50
    Require not ip 198.38.92.234
    Require not ip 198.38.94.18
    Require not ip 198.49.66.130
    Require not ip 20.219.105.83
    Require not ip 20.253.155.235
    Require not ip 200.6.124.11
    Require not ip 204.13.238.114
    Require not ip 205.185.193.180
    Require not ip 207.231.109.54
    Require not ip 208.109.20.122
    Require not ip 208.109.58.241
    Require not ip 208.112.26.138
    Require not ip 208.115.247.232
    Require not ip 209.172.2.30
    Require not ip 209.236.117.90
    Require not ip 209.42.21.53
    Require not ip 212.129.77.61
    Require not ip 212.8.249.246
    Require not ip 213.133.103.90
    Require not ip 216.69.174.68
    Require not ip 216.70.80.191
    Require not ip 217.154.45.231
    Require not ip 217.160.134.12
    Require not ip 220.158.232.94
    Require not ip 220.158.234.96
    Require not ip 223.181.106.201
    Require not ip 223.181.109.60
    Require not ip 223.181.114.224
    Require not ip 223.185.30.83
    Require not ip 27.147.204.186
    Require not ip 27.34.66.9
    Require not ip 27.49.74.145
    Require not ip 27.5.185.87
    Require not ip 27.6.38.57
    Require not ip 3.107.76.40
    Require not ip 3.87.131.118
    Require not ip 31.172.83.222
    Require not ip 34.134.144.77
    Require not ip 34.142.133.16
    Require not ip 34.179.177.28
    Require not ip 34.19.66.186
    Require not ip 34.68.185.191
    Require not ip 34.76.142.88
    Require not ip 34.93.1.77
    Require not ip 34.93.21.23
    Require not ip 35.196.187.154
    Require not ip 35.231.134.100
    Require not ip 37.24.161.119
    Require not ip 37.27.71.188
    Require not ip 37.99.47.43
    Require not ip 39.38.74.83
    Require not ip 39.51.209.243
    Require not ip 41.185.8.145
    Require not ip 41.185.8.205
    Require not ip 41.185.8.232
    Require not ip 41.73.194.134
    Require not ip 42.111.192.4
    Require not ip 42.96.37.226
    Require not ip 43.224.124.253
    Require not ip 43.247.159.25
    Require not ip 45.119.81.168
    Require not ip 45.132.115.170
    Require not ip 45.132.115.171
    Require not ip 45.132.115.172
    Require not ip 45.132.115.173
    Require not ip 45.140.206.79
    Require not ip 45.148.124.119
    Require not ip 45.148.124.120
    Require not ip 45.157.54.40
    Require not ip 45.159.22.34
    Require not ip 45.234.213.96
    Require not ip 45.56.222.60
    Require not ip 45.77.19.87
    Require not ip 45.88.13.129
    Require not ip 45.95.146.83
    Require not ip 46.101.217.74
    Require not ip 46.199.244.104
    Require not ip 46.226.10.69
    Require not ip 46.70.93.50
    Require not ip 47.112.205.249
    Require not ip 47.187.129.85
    Require not ip 49.149.90.109
    Require not ip 49.204.191.108
    Require not ip 49.205.35.157
    Require not ip 49.207.63.234
    Require not ip 49.36.25.76
    Require not ip 49.36.75.24
    Require not ip 49.43.242.63
    Require not ip 49.47.140.2
    Require not ip 49.47.154.20
    Require not ip 5.180.252.164
    Require not ip 50.62.142.2
    Require not ip 50.62.145.134
    Require not ip 50.62.221.122
    Require not ip 50.63.2.110
    Require not ip 51.15.139.63
    Require not ip 51.195.41.174
    Require not ip 51.222.11.136
    Require not ip 51.222.156.110
    Require not ip 51.79.248.196
    Require not ip 51.91.161.244
    Require not ip 51.91.219.191
    Require not ip 54.36.222.164
    Require not ip 54.39.19.107
    Require not ip 54.73.157.139
    Require not ip 57.130.20.252
    Require not ip 62.192.188.82
    Require not ip 62.210.185.4
    Require not ip 64.31.27.182
    Require not ip 65.108.157.147
    Require not ip 65.181.111.160
    Require not ip 65.181.111.28
    Require not ip 65.181.113.172
    Require not ip 65.21.232.39
    Require not ip 65.60.17.82
    Require not ip 66.175.44.20
    Require not ip 66.175.44.37
    Require not ip 66.175.44.39
    Require not ip 66.175.44.54
    Require not ip 66.175.44.55
    Require not ip 66.175.44.62
    Require not ip 66.175.44.70
    Require not ip 66.240.223.230
    Require not ip 66.42.61.4
    Require not ip 66.85.132.90
    Require not ip 67.231.26.222
    Require not ip 68.178.134.15
    Require not ip 68.178.188.122
    Require not ip 68.178.231.250
    Require not ip 68.183.176.190
    Require not ip 68.183.25.188
    Require not ip 68.183.86.76
    Require not ip 69.163.176.25
    Require not ip 69.197.191.106
    Require not ip 69.48.205.45
    Require not ip 72.167.252.159
    Require not ip 72.167.85.69
    Require not ip 72.29.178.86
    Require not ip 74.234.147.76
    Require not ip 77.81.65.87
    Require not ip 79.11.134.34
    Require not ip 79.112.84.49
    Require not ip 79.117.63.52
    Require not ip 79.133.57.235
    Require not ip 8.217.89.127
    Require not ip 8.29.155.129
    Require not ip 81.184.74.158
    Require not ip 81.88.49.28
    Require not ip 81.88.49.44
    Require not ip 82.180.166.97
    Require not ip 84.0.187.87
    Require not ip 84.54.28.113
    Require not ip 85.10.156.45
    Require not ip 86.107.77.9
    Require not ip 86.38.203.148
    Require not ip 87.106.120.188
    Require not ip 89.124.3.3
    Require not ip 89.252.169.182
    Require not ip 89.46.109.107
    Require not ip 89.47.55.211
    Require not ip 90.91.249.198
    Require not ip 92.204.217.61
    Require not ip 92.205.171.241
    Require not ip 93.108.74.44
    Require not ip 93.9.239.168
    Require not ip 94.130.33.49
    Require not ip 94.250.251.7
    Require not ip 98.70.76.51
</RequireAll>
